
package info.textgrid._import;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://textgrid.info/import}importObject" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/import}xmlConfiguration" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element ref="{http://textgrid.info/import}revisionPolicy" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "importObject",
    "xmlConfiguration",
    "revisionPolicy"
})
@XmlRootElement(name = "importSpec")
public class ImportSpec {

    protected List<ImportObject> importObject;
    protected List<XmlConfiguration> xmlConfiguration;
    protected RevisionPolicy revisionPolicy;

    /**
     * Gets the value of the importObject property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the importObject property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getImportObject().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ImportObject }
     * 
     * 
     */
    public List<ImportObject> getImportObject() {
        if (importObject == null) {
            importObject = new ArrayList<ImportObject>();
        }
        return this.importObject;
    }

    /**
     * Gets the value of the xmlConfiguration property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the xmlConfiguration property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getXmlConfiguration().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link XmlConfiguration }
     * 
     * 
     */
    public List<XmlConfiguration> getXmlConfiguration() {
        if (xmlConfiguration == null) {
            xmlConfiguration = new ArrayList<XmlConfiguration>();
        }
        return this.xmlConfiguration;
    }

    /**
     * Gets the value of the revisionPolicy property.
     * 
     * @return
     *     possible object is
     *     {@link RevisionPolicy }
     *     
     */
    public RevisionPolicy getRevisionPolicy() {
        return revisionPolicy;
    }

    /**
     * Sets the value of the revisionPolicy property.
     * 
     * @param value
     *     allowed object is
     *     {@link RevisionPolicy }
     *     
     */
    public void setRevisionPolicy(RevisionPolicy value) {
        this.revisionPolicy = value;
    }

}
